<div class="container">
<h1 class="mb-3">Login to your account</h1>
<button class="btn btn-success mb-3"  (click)="gettoken()" type="button" >Get username from GitLab</button>

	<form [formGroup]="loginForm">
		<div class="form-group">
			<label for="username">Username: </label>
			<input class="form-control" type="text" name="username" id="username"
			formControlName=username readonly>
		</div>
		
		<div class="form-group">
			<label for="password">Password: </label>
			<input class="form-control" type="password" name="password" id="password"
				placeholder="Enter your password..." formControlName="password">
		</div>

	<button class="btn btn-success mt-3"  (click)="onLoginClicked()" type="button">Login</button>
	</form>
	<p *ngIf="loginError.length > 0" style="color: red">Bad credentials.</p>
	<p>Not registered yet? <a [routerLink]="['/register-user']">Register here</a> </p>
</div>
